<?php

declare(strict_types=1);

namespace Apexl\Io\User\Collections;

use Apexl\Io\Collections\EntityCollection;
use Apexl\Io\User\Entities\UserEntity;
use Arrayy\Arrayy;

/**
 * @extends Arrayy<array-key, userEntity>
 */
class UserCollection extends EntityCollection
{
    public function getType(): string
    {
        return UserEntity::class;
    }
}
